<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Session extends Controller_Handler {

        protected $_session;
        
        public function before() {
            $this->setAccessLevel(self::ACCESS_ANYBODY);
            parent::before();
            $this->_session = Session::instance();
        }

        public function action_getSessionTime() {

            if (User::instance()->isSignedIn() && $this->_session) {
                $dif_time = $this->_session->get('dif_time');
                $timeout = User::SESSION_LIFETIME;
                $remain = $timeout - $dif_time;
                $this->_session->set('last_time', 
                            $this->_session->get('last_time') - $dif_time);
            } else {
                $remain = 0;
            }
            $this->response->body(json_encode($remain));
        }

        public function action_closeSession() {
            if (User::instance()->isSignedIn()) {
                User::instance()->signOut();
            }
            $this->response->body(json_encode(0));
        }
}